Enhance the safety, reliability, and performance of your classic car or truck with a front disc brake conversion kit from LEED Brakes. Designed for seamless drum-to-disc brake upgrades, our disc brake kits improve braking power, heat dissipation, and overall control.
Whether you're restoring a classic muscle car, upgrading your daily driver, or improving your hot rod’s braking system, we offer a wide range of disc brake conversion kits tailored for Ford, GM, and Mopar vehicles.
Why Convert Drum Brakes to Disc Brakes?
Many classic cars were originally equipped with drum brakes, which tend to fade under heavy use and require frequent adjustments. Converting to disc brakes provides:
Stronger Stopping Power – Improved braking efficiency and shorter stopping distances
Disc Brake Calipers & Caliper Kit Upgrades
Replace your current brake caliper or upgrade your classic car to a MaxGrip Lite Aluminum Caliper kit from LEED Brakes! Browse our brake caliper upgrades below.
Front Disc Brake Conversion Kits - Spindle Mount Brake Kits
Spindle Mount Front Disc Brake Kits include everything you need to mount front disc brakes to your vehicle minus the master...More Details »
Manual Front Disc Brake Conversion Kits
LEED Brakes' manual front disc brake conversion kits include everything needed to upgrade your vehicle from drum brakes to disc brakes, featuring a...More Details »
Power Front Disc Brake Conversions
LEED Brakes' Power Front Disc Brake Conversion Kits provide a comprehensive solution for upgrading your vehicle's braking system with front disc brakes....More Details »
LEED Brakes offers a variety of Front Disc Brake Upgrade Kit Conversions for your 1964-73 Ford Mustang, Fairlane & Cougar, 1957-68 Ford Full Size Car, 1962-74 GM A, F & X Body...More Details »
Front Disc Brake Conversion Kits Featured Products
MaxGrip Lite 4 Piston Front Disc Brake Conversion 1964.5-66 Ford Mustang | Red CalipersNew887753641687
Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made MaxGr...
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005-405X
Condition: New
Price: $1,799.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion 1965-72 Mopar A-Body | Spindle Mount | Red CalipersNew887753916846
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed to convert factory front drum brakes to disc brakes, this spindle...
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed to convert factory front drum brakes to disc brakes, this...More Details »
Item #: RFC2004SMX
Condition: New
Price: $1,825.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion 64.5-66 Ford | Black CalipersNew887753641694
Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made MaxGr...
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-405X
Condition: New
Price: $1,799.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion Kit 1970-73 Ford Mustang, Cougar | Black CalipersNew887753641823
Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford Musta...
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford...More Details »
Item #: BFC0006SMX
Condition: New
Price: $1,699.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion Kit 1970-73 Ford Mustang, Cougar | Red CalipersNew887753641830
Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford Musta...
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford...More Details »
Item #: RFC0006SMX
Condition: New
Price: $1,699.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion Kit Spindle Mount for Mopar C BodyNew887753917461
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit (Spindle Mount) for Mopar C-Body vehicles. This drum-to-di...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit (Spindle Mount) for Mopar C-Body vehicles. This...More Details »
Item #: FC2006SMX
Condition: New
Price: $1,704.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion with Black Calipers 62-69 Ford Fairlane, 63-69 Falcon & Ranchero, 63-69 Mercury CometNew887753642004
Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake ...
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake...More Details »
Item #: BFC0005-4C7X
Condition: New
Price: $1,799.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion 1957-1968 full-size Ford or Mercury - Black CalipersNew887753645371
Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for vehicles equipped with factory front drum...
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for vehicles equipped with factory front drum...More Details »
Item #: BFC0026-405X
Condition: New
Price: $2,074.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion 1965-72 Mopar A-Body | Black Calipers | XDS RotorsNew887753916891
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual fr...
Description:
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: BFC2004-C05X
Condition: New
Price: $2,084.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion 1965-72 Mopar A-Body | Red Calipers | XDS RotorsNew887753916921
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual fron...
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: RFC2004-C05X
Condition: New
Price: $2,084.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion 1965-72 Mopar A-Body | XDS Rotors | Braided HosesNew887753916860
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual fron...
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: FC2004-C05X
Condition: New
Price: $1,984.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion 1971-73 Ford & Mercury | Black CalipersNew887753641908
Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for select 1971-1973 Ford and Mercury vehicles, including the For...
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for select 1971-1973 Ford and Mercury vehicles, including the...More Details »
Item #: BFC0008-405X
Condition: New
Price: $1,799.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion 1971-73 Ford Mustang | Red CalipersNew887753641915
Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit includes everything needed to mount ...
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0008-405X
Condition: New
Price: $1,799.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion Ford Full SizeNew887753645494
Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit, designed for factory drum brake spindles.
Experience the ...
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit, designed for factory drum brake spindles.
Experience the...More Details »
Item #: FC0026-405X
Condition: New
Price: $1,999.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion Ford Full Size - Red CalipersNew887753645432
Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Ford Full-Size, featuring bold red aluminum calipers and desi...
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Ford Full-Size, featuring bold red aluminum calipers and...More Details »
Item #: RFC0026-405X
Condition: New
Price: $2,074.99
MaxGrip Lite 4 Piston Manual Front Disc Brake Conversion Kit Mopar B & E BodyNew887753917195
Add the safety, reliability, and performance of disc brakes to your vehicle with this manual drum-to-disc brake conversion kit for Mopar B & E-Body applications. This kit includes everything needed...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this manual drum-to-disc brake conversion kit for Mopar B & E-Body applications. This kit includes everything needed...More Details »
Item #: FC2005-C05X
Condition: New
Price: $1,894.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion '67-'69 Ford | Manual Transmission | Black 4 Piston Calipers MaxGrip XDS RotorsNew887753641779
Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc bra...
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc...More Details »
Item #: BFC0006-X405MX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion 1964-66 Ford Mustang Automatic Trans | Black CalipersNew887753641717
Upgrade your 1964-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount USA-made ...
Description: Upgrade your 1964-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-H405AX
Condition: New
Price: $1,999.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion 1964.5-66 Ford Manual Trans | Black CalipersNew887753641946
Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston drum-to-powe...
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston...More Details »
Item #: BFC0005-H405MX
Condition: New
Price: $1,999.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion 1971-73 Mustang | Black CalipersNew887753641922
Upgrade your 1971-1973 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes ever...
Description: Upgrade your 1971-1973 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes...More Details »
Item #: BFC0008-W405X
Condition: New
Price: $1,999.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion 1971-73 Mustang | Red CalipersNew887753641939
Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to m...
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: RFC0008-W405X
Condition: New
Price: $1,999.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion 64.5-66 Ford Manual Trans | Red CalipersNew887753641953
Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston drum-to-powe...
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston...More Details »
Item #: RFC0005-H405MX
Condition: New
Price: $1,999.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion 67-69 Ford | Manual Transmission | Red 4 Piston CalipersNew887753641762
Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc bra...
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc...More Details »
Item #: RFC0006-X405MX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion Kit for Manual Transmission 1970 Mustang or Cougar | Black CalipersNew887753641885
Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-p...
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This...More Details »
Item #: BFC0007-X405MX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1957-62 Ford Full Size Y BlockNew887753645463
Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with Y-bloc...
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: FC0026-Y307X
Condition: New
Price: $2,124.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1964-68 Full-Size Ford & Mercury | Factory Power Drum BrakesNew887753645470
Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally eq...
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: FC0026-P307X
Condition: New
Price: $2,074.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1964-68 Full-Size Ford & Mercury | Factory Power Drum Brakes | Red CalipersNew887753645418
Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally eq...
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: RFC0026-P307X
Condition: New
Price: $2,149.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1965-72 Mopar A-Body | Black Calipers | XDS RotorsNew887753917072
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc b...
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: BFC2004-8405X
Condition: New
Price: $2,212.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1965-72 Mopar A-Body | Red Calipers | XDS RotorsNew887753917102
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc b...
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: RFC2004-8405X
Condition: New
Price: $2,212.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1967-69 Ford Mustang | Black Calipers | Automatic TransNew887753641755
Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to m...
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: BFC0006-3405AX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1967-69 Ford Mustang | Red Calipers | Automatic TransNew887753641748
Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to m...
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: RFC0006-3405AX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1970 Ford Mustang & Mercury Cougar | Black Calipers | Automatic TransNew887753641861
Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This drum-t...
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This...More Details »
Item #: BFC0007-3405AX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1970 Ford Mustang & Mercury Cougar | Red Calipers | Manual TransNew887753641892
Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-p...
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This...More Details »
Item #: RFC0007-X405MX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1970 Ford Mustang | Red Calipers | Automatic TransNew887753641878
Upgrade your 1970 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This drum-to-power-disc brake...
Description: Upgrade your 1970 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This drum-to-power-disc brake...More Details »
Item #: RFC0007-3405AX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1971-73 Ford Mustang & Mercury CougarNew887753642103
Upgrade your 1971-1973 Ford Mustang or Mercury Cougar with a power front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit provides the safety, reliability, and per...
Description: Upgrade your 1971-1973 Ford Mustang or Mercury Cougar with a power front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit provides the safety, reliability, and...More Details »
Item #: FC0008-W405X
Condition: New
Price: $1,924.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion Ford Full Size Y Block - BlackNew887753645340
Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with Y-bloc...
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: BFC0026-Y307X
Condition: New
Price: $2,199.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion Kit for Mopar A BodyNew887753917041
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc b...
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: FC2004-8405X
Condition: New
Price: $2,114.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion with Red Calipers for 1964.5-66 Ford Mustang Automatic TransNew887753641700
Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount USA-mad...
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0005-H405AX
Condition: New
Price: $1,999.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit for Factory Power Brakes Mopar C-BodyNew887753917799
Upgrade your classic 1965-1972 Mopar C-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically for vehicles originally equipped with factory ...
Description: Upgrade your classic 1965-1972 Mopar C-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically for vehicles originally equipped with factory...More Details »
Item #: FC2006-P405X
Condition: New
Price: $2,024.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit for Mopar B-Body with Factory Power BrakesNew887753917287
Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In ...
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: FC2005-C05PX
Condition: New
Price: $1,874.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit for Mopar C-Body with Factory Power BrakesNew887753917614
Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body f...
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: FC2006-C05PX
Condition: New
Price: $1,874.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Black Calipers for Factory Power Brakes Mopar C Body VehiclesNew887753917829
Add the safety, reliability, and performance of disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit featuring MaxGrip Lite 4-Piston Aluminum ...
Description: Add the safety, reliability, and performance of disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit featuring MaxGrip Lite 4-Piston Aluminum...More Details »
Item #: BFC2006-P405X
Condition: New
Price: $2,133.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Black Calipers for Mopar B-Body Factory Power BrakesNew887753917317
Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In ...
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: BFC2005-C05PX
Condition: New
Price: $1,977.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Black Calipers for Mopar C-Body Factory Power BrakesNew887753917645
Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body f...
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: BFC2006-C05PX
Condition: New
Price: $1,981.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Red Calipers for Mopar B-Body Factory Power BrakesNew887753917348
Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In ...
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: RFC2005-C05PX
Condition: New
Price: $1,977.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Red Calipers for Mopar C-Body Factory Power BrakesNew887753917676
Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body f...
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: RFC2006-C05PX
Condition: New
Price: $1,981.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Red Calipers for Spindle Mount Mopar B & E BodyNew887753917171
Upgrade your classic Mopar with a MaxGrip Lite 4-piston spindle-mount front disc brake conversion kit from LEED Brakes. Designed for select 1962-1972 Mopar B-Body and 1970-1972 Mopar E-Body vehicle...
Description: Upgrade your classic Mopar with a MaxGrip Lite 4-piston spindle-mount front disc brake conversion kit from LEED Brakes. Designed for select 1962-1972 Mopar B-Body and 1970-1972 Mopar E-Body...More Details »
Item #: RFC2005SMX
Condition: New
Price: $1,809.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion with Red Calipers for 62-69 Ford Fairlane, 63-69 Falcon & Ranchero, 63-69 Mercury CometNew887753641991
Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake ...
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake...More Details »
Item #: RFC0005-4C7X
Condition: New
Price: $1,799.99
MaxGrip Lite 4-Piston Front Disc Spindle Mount Brake Conversion Kit with Black Calipers for Mopar A-Body VehiclesNew887753916846
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive everything you need to mount MaxGrip 4 Piston disc brakes ...
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive everything you need to mount MaxGrip 4 Piston disc brakes...More Details »
Item #: BFC2004SMX
Condition: New
Price: $1,825.99
MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body – Black CalipersNew887753917225
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body vehicles with black calipers. ...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body vehicles with black calipers....More Details »
Item #: BFC2005-C05X
Condition: New
Price: $1,998.99
MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body – Red CalipersNew887753917256
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body vehicles with red calipers. Th...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body vehicles with red calipers....More Details »
Item #: RFC2005-C05X
Condition: New
Price: $1,998.99
MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body – Black CalipersNew887753917553
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles with black calipers. This...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles with black calipers. This...More Details »
Item #: BFC2006-C05X
Condition: New
Price: $2,002.99
MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body – Red CalipersNew887753917584
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This d...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This...More Details »
Item #: RFC2006-C05X
Condition: New
Price: $2,002.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar B & E Body VehiclesNew887753917379
Upgrade your classic Mopar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed for select 1962-1972 Mopar B-Body and 1970-1972 Mopar E-Body vehicles, this ...
Description: Upgrade your classic Mopar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed for select 1962-1972 Mopar B-Body and 1970-1972 Mopar E-Body vehicles, this...More Details »
Item #: FC2005-8405X
Condition: New
Price: $2,024.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body VehiclesNew887753917706
Upgrade your classic Mopar C-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to power front disc brake...
Description: Upgrade your classic Mopar C-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to power front disc...More Details »
Item #: FC2006-8405X
Condition: New
Price: $2,024.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body – Black CalipersNew887753917737
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with black calipers. This ...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with black calipers. This...More Details »
Item #: BFC2006-8405X
Condition: New
Price: $2,130.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body – Red CalipersNew887753917768
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This ma...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This...More Details »
Item #: RFC2006-8405X
Condition: New
Price: $2,130.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit with Black Calipers for Mopar B & E BodyNew887753917409
Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to ...
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: BFC2005-8405X
Condition: New
Price: $2,126.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit with Red Calipers for Mopar B & E BodyNew887753917430
Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to ...
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: RFC2005-8405X
Condition: New
Price: $2,126.99
MaxGrip Lite 4-Piston Spindle Mount Front Disc Brake Conversion Kit for Mopar A-Body VehiclesNew887753916808
Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive everything you need to mount MaxGrip 4 Piston disc brakes ...
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive everything you need to mount MaxGrip 4 Piston disc brakes...More Details »